Bug 7361 - 'Default' encoding in staged marc import breaks diacritics
Summary: 'Default' encoding in staged marc import breaks diacritics
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic record staging/import (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Duncan
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-14 19:58 UTC by Katrin Fischer
Modified: 2013-12-05 19:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Patch to fix default option in drop-down menu for encoding in MARC import (1.49 KB, patch)
2011-12-15 00:54 UTC, Duncan
Details | Diff | Splinter Review
[SIGNED-OFF] Bug Patch to fix default option in encoding dropdown (2.00 KB, patch)
2011-12-15 06:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-12-14 19:58:19 UTC
When using the staged marc import tool from the staff interface 'default' is preselected as encoding for the incoming records.

If you leave 'default' and import utf-8 records the diacritics are broken after importing the records into the catalog.
Comment 1 Duncan 2011-12-15 00:54:34 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-12-15 05:59:48 UTC
Hi Duncan, please remember to add the bug number to your subject line for your next patch and thx for your work on this bug! :)
Comment 3 Katrin Fischer 2011-12-15 06:08:03 UTC
Created attachment 6804 [details] [review]
[SIGNED-OFF] Bug Patch to fix default option in encoding dropdown

http://bugs.koha-community.org/show_bug.cgi?id=7361
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>

This patch changes the pull down for encodings in staged marc import.

Before patch:
- Character encoding preselected was 'Default'
- 'Default' broke diacritics in utf-8 encoded files and was reported
  to not work correctly
- Selecting 'UTF-8' from the drop down worked

After patch:
- Character encoding preselected is 'UTF-8 (Default)'
- There is no longer a 'Default' option and no separate 'UTF-8'
Comment 4 Ian Walls 2011-12-15 12:25:14 UTC
Template-only change, passes a much better default than empty string.  marking as passed QA
Comment 5 Paul Poulain 2011-12-16 15:18:32 UTC
QA comment
(In reply to comment #2)
> Hi Duncan, please remember to add the bug number to your subject line for your
> next patch and thx for your work on this bug! :)

Katrin was right here. I've added the bug number in the committed patch

trivial patch, passed QA

patch pushed, please test